Runtime

## org.eclipse.gmf.runtime.emf.type.core
Class ElementTypeAddedEvent

    java.lang.Object
      org.eclipse.gmf.runtime.emf.type.core.ElementTypeAddedEvent

    public class ElementTypeAddedEvent

extends java.lang.Object

Notification that an element type has been added to the `ElementTypeRegistry`.

Constructor Summary
`ElementTypeAddedEvent(java.lang.String elementTypeId)` Constructs a new event.

Method Summary
`java.lang.String` `getElementTypeId()` Gets the ID of the element type that was added.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElementTypeAddedEvent

    public ElementTypeAddedEvent(java.lang.String elementTypeId)

  Constructs a new event.

  Parameters:
    `elementTypeId` - the element type ID

Method Detail

### getElementTypeId

    public java.lang.String getElementTypeId()

  Gets the ID of the element type that was added.

  Returns:
    the element type ID

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.